docker-compose 切换php版本

切换 php-fpm版本和php-cli版本。两个命令都重建下,实验过程中,cli可能需要重建php-fpm

代码:

//.env 里

PHP_VERSION=7.2

//然后

docker-compose build php-fpm //php-fpm 版本
docker-compose build workspace//php-cli版本

//上面不行用下面的

docker-compose up -d  --force-recreate  php-fpm //php-fpm
docker-compose up -d  --force-recreate  workspace //php-cli版本

输出:

遇到问题?